#include <iostream>

using namespace std;
int main()
{
    int n;
    cin>>n;
    int a[n],i,j;
    double p[n],s[n],m=0;
    for(i=0; i<n; i++)
    {
        cin>>a[i]>>p[i];
    }
	for(i=0; i<n; i++)
    {
        s[i]=0;
        for(j=0; j<n; j++)
        {
            if(p[i]<=p[j])
            {
                s[i]=s[i] + a[j]*p[i]*0.01 ;
            }
        }
        if(s[i]>m)
        {
            m=s[i];
        }
    }
	cout<<m;



return 0;
}